Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.request
Class CompositeRequestChannel.LastRequest

    java.lang.Object
      org.modeshape.graph.request.Request
          org.modeshape.graph.request.CompositeRequestChannel.LastRequest

All Implemented Interfaces:
  Serializable

Enclosing class:
  CompositeRequestChannel

    protected static class CompositeRequestChannel.LastRequest

extends Request

A psuedo Request that is used by the `CompositeRequestChannel` to insert into a request queue so that the queue's iterator knows when there are no more requests to process.

See Also:
  Serialized Form

Constructor Summary
`protected` | `CompositeRequestChannel.LastRequest()`

Method Summary
`RequestType` | `getType()` Returns the type of the request
`boolean` | `isReadOnly()` Return whether this request only reads information.

Methods inherited from class org.modeshape.graph.request.Request
`cancel, checkNotFrozen, freeze, getError, hasError, isCancelled, isFrozen, printable, printable, setError, setLatchForFreezing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeRequestChannel.LastRequest

    protected CompositeRequestChannel.LastRequest()

Method Detail

### isReadOnly

    public boolean isReadOnly()

  Description copied from class: `Request`
  Return whether this request only reads information.

  Specified by:
    `isReadOnly` in class `Request`
  Returns:
    true if this request reads information, or false if it requests that the repository content be changed in some way

### getType

    public RequestType getType()

  Description copied from class: `Request`
  Returns the type of the request

  Specified by:
    `getType` in class `Request`
  Returns:
    the type of the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.